﻿@model Avira.MarketingResearch.Model.ViewModels.Trend.MainTrendKeyCompanyMapInsertUpdateDbViewModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithTrendTabAndLeftMenu.cshtml";
}
@*@{
    List<string> Roles = ViewBag.UserRoleList as List<string>;
    var isAuthordisable = Roles.Contains("Author") || Roles.Contains("Co-Author");
    var isApproverdisable = Roles.Contains("Approver") || Roles.Contains("Co-Approver");
}*@

@using (Html.BeginForm("Index", "TrendKeyCompanyMap", FormMethod.Post, new { @class = "" }))
{
    <script src="~/ckeditor/ckeditor.js"></script>
    <div id="content" class="content m-t-25">
        @Html.Partial("_TrendDetails", Model.TrendModel)
        <div class="navbar-form form-input-flat" style="display:none;">
            <div class="form-group" style="width:300px;">
                @*@Html.TextBoxFor(m => m.CompanyName, new { @class = "form-control", placeholder = "Enter keyword..." })*@
                <button type="submit" name="actionName" value="search" class="btn btn-search"><i class="fa fa-search"></i></button>

            </div>
        </div>


        @if (ViewBag.Message != null)
        {
            <div class="alert alert-danger alert-bordered show m-b-10">
                <strong>Info!</strong>
                @ViewBag.Message
                <span class="close" data-dismiss="alert">×</span>
            </div>
        } 
        <div class="section-with-top-border p-b-10">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="form-horizontal">  
                        @Html.DropDownListFor(Model => Model.CompanyIds, (SelectList)ViewBag.TrendKeyCompanyMapList, "--Select Key Company--", new { id = "ComProfddlCoAuthorId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })
                         <div class="form-group m-b-10" style="display:none;">
                            <div class="col-lg-9 col-form-label">
                                <h5> Company</h5>
                            </div>
                            <div class="col-lg-2" style="text-align:left;">
                                <h5>All    @Html.CheckBox("ChkAll")</h5>
                            </div>

                        </div> 
                        @Html.HiddenFor(x => x.TrendId) 
                    </div>
                </div> 
                <div class="col-lg-6">
                    <div class="form-horizontal">
                        <div class="form-group p-l-10">
                            <div class="col-md-6">
                                @Html.EditorFor(model => model.CompanyName, new { htmlAttributes = new { @class = "form-control", placeholder = "Enter new company name" } })
                            </div>
                            <div class="col-md-3">
                                <button type="submit" name="actionName" value="NewCompany" class="btn btn-inverse m-b-5">Add New Company</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6"></div>
                <div class="col-lg-6">
                    <div class="widget">
                        <div class="widget-header bg-inverse">
                            <h4 class="text-white">Selected Companies List</h4>
                        </div>
                        <div class="widget-task-list p-10">
                            @for (var i = 0; i < Model.TrendKeyCompanyMapInsertUpdate.Count(); i++)
                            {

                                <label class="col-lg-8 col-form-label">@Model.TrendKeyCompanyMapInsertUpdate[i].CompanyName</label>
                                <button type="submit" name="actionName" value="RemoveKeyCompany_@Model.TrendKeyCompanyMapInsertUpdate[i].CompanyId" class="btn btn-grey m-b-5">Remove</button>

                            }
                        </div>
                    </div>

                </div>
            </div>
            <!-- end row -->
            <div class="row">
                <div class="col-lg-6"></div>
                <div class="col-lg-6">
                    @{
                        var prevDisabled = "";//!Model.TrendMarketMapInsertUpdate.HasPreviousPage ? "disabled" : "";
                        var nextDisabled = "";// !Model.TrendMarketMapInsertUpdate.HasNextPage ? "disabled" : "";
                    }


                </div>
            </div>
        </div>
        <!-- begin section-container -->
        <div class="section-container section-with-top-border p-b-5">
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Author Notes</h4>
                        </div>
                        @*<textarea class="form-control no-rounded-corner"
        rows="6">This is a form textarea.</textarea>*@
                        @*@Html.TextAreaFor(m => m.TrendNoteModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner", @readonly = @isAuthordisable })*@
                        @Html.TextAreaFor(m => m.TrendNoteModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script type="text/javascript">

                            CKEDITOR.replace('TrendNoteModel.AuthorRemark', {  // Define the toolbar groups as it is a more accessible solution.
                                height: 40,
                                toolbarGroups: [{

                                    "name": "basicstyles",

                                    "groups": ["basicstyles"]

                                },

                                {

                                    "name": "links",

                                    "groups": ["links"]

                                },

                                {

                                    "name": "paragraph",

                                    "groups": ["list", "blocks"]

                                },

                                {

                                    "name": "document",

                                    "groups": ["mode"]

                                },

                                {

                                    "name": "insert",

                                    "groups": ["insert"]

                                },

                                {

                                    "name": "styles",

                                    "groups": ["styles"]

                                },

                                {

                                    "name": "about",

                                    "groups": ["about"]

                                }

                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'

                            });

                        </script>
                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Approver Notes</h4>
                        </div>
                        @*@Html.TextAreaFor(m => m.TrendNoteModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner", @readonly = @isApproverdisable })*@
                        @Html.TextAreaFor(m => m.TrendNoteModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script type="text/javascript">
                            CKEDITOR.replace('TrendNoteModel.ApproverRemark', {  // Define the toolbar groups as it is a more accessible solution.
                                height: 40,
                                toolbarGroups: [{

                                    "name": "basicstyles",

                                    "groups": ["basicstyles"]

                                },

                                {

                                    "name": "links",

                                    "groups": ["links"]

                                },

                                {

                                    "name": "paragraph",

                                    "groups": ["list", "blocks"]

                                },

                                {

                                    "name": "document",

                                    "groups": ["mode"]

                                },

                                {

                                    "name": "insert",

                                    "groups": ["insert"]

                                },

                                {

                                    "name": "styles",

                                    "groups": ["styles"]

                                },

                                {

                                    "name": "about",

                                    "groups": ["about"]

                                }

                                ],

                                // Remove the redundant buttons from toolbar groups defined above.

                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'

                            });
                        </script>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->
        @Html.Partial("_TrendAction", @Model.TrendModel)
        @*<div class="section-container section-with-top-border p-b-10">
                <div style="text-align: center;">
                    <p>
                        <button type="button" name="actionName" class="btn btn-grey m-b-5">Previous</button>
                        <button type="submit" name="actionName" value="save" class="btn btn-grey m-b-5">Save</button>
                        <button type="button" name="actionName" class="btn btn-grey m-b-5">Cancel</button>
                        <button type="submit" name="actionName" value="submit" class="btn btn-grey m-b-5">Submit</button>
                        <button type="button" name="actionName" class="btn btn-grey m-b-5">Approve</button>
                        <button type="button" name="actionName" class="btn btn-grey m-b-5">Reject</button>
                        <button type="button" name="actionName" class="btn btn-grey m-b-5">Next</button>
                    </p>
                </div>
            </div>*@
        <!-- end section-container -->
        <!-- begin #footer -->
        <div id="footer" class="footer">
            <span class="pull-right">
                <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                    <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
                </a>
            </span>
            &copy; 2018 <b>Source Admin</b> All Right Reserved
        </div>
        <!-- end #footer -->
    </div>
}



